Skip to content

List onboard individual entity jobs

Request

Lists onboard individual entity jobs for a specific entity.

Security
oauth2_client_credentials or oauth2_authorization_code
Path
entitystringrequired

The entity id.

Query
pageSizeinteger, (int32)(page_size)

Optional. The maximum number of jobs to return. The service may return fewer than this value. If unspecified, at most 10 jobs will be returned. The maximum value is 100; values above 100 will be coerced to 100.

pageTokenstring(page_token)

Optional. A page token, received from a previous ListOnboardIndividualEntityJobs call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListOnboardIndividualEntityJobs must match the call that provided the page token.

skipinteger, (int32), >= 0(skip)

Optional. The number of jobs to skip before starting to collect the result set.

curl -i -X GET \
  'https://docs.bndry.net/_mock/apis/openapi/v1alpha/entities/{entity}/onboardIndividualEntityJobs?pageSize=25&pageToken=ChAIAhABGAEiAggC&skip=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
onboardIndividualEntityJobsArray of objects(onboard_individual_entity_jobs)

The list of onboard individual entity jobs.

nextPageTokenstring(next_page_token)

A token to retrieve the next page of results, or empty if there are no more results in the list.

totalSizeinteger, (int32)(total_size)

The total number of jobs matching the request.

Response
{ "onboardIndividualEntityJobs": [ {} ], "nextPageToken": "ChAIAhABGAEiAggD", "totalSize": 47 }